Index: uspace/lib/drv/generic/remote_char.c
===================================================================
--- uspace/lib/drv/generic/remote_char.c	(revision c47e1a8fb8e2a2556518fd57f186595422ca4484)
+++ uspace/lib/drv/generic/remote_char.c	(revision 7a252ec898ad0b08c9e132a962b2d137a40b6be2)
@@ -1,4 +1,4 @@
 /*
- * Copyright (c) 2010 Lenka Trochtova 
+ * Copyright (c) 2010 Lenka Trochtova
  * All rights reserved.
  *
@@ -42,38 +42,43 @@
 #define MAX_CHAR_RW_COUNT 256
 
-static void remote_char_read(device_t *dev, void *iface, ipc_callid_t callid, ipc_call_t *call);
-static void remote_char_write(device_t *dev, void *iface, ipc_callid_t callid, ipc_call_t *call);
+static void remote_char_read(device_t *, void *, ipc_callid_t, ipc_call_t *);
+static void remote_char_write(device_t *, void *, ipc_callid_t, ipc_call_t *);
 
-/** Remote character interface operations. 
- */
+/** Remote character interface operations. */
 static remote_iface_func_ptr_t remote_char_iface_ops [] = {
 	&remote_char_read,
-	&remote_char_write	
-}; 
- 
-/** Remote character interface structure. 
- * Interface for processing request from remote clients addressed to the character interface.
+	&remote_char_write
+};
+
+/** Remote character interface structure.
+ *
+ * Interface for processing request from remote clients addressed to the
+ * character interface.
  */
 remote_iface_t remote_char_iface = {
-	.method_count = sizeof(remote_char_iface_ops) / sizeof(remote_iface_func_ptr_t),
+	.method_count = sizeof(remote_char_iface_ops) /
+	    sizeof(remote_iface_func_ptr_t),
 	.methods = remote_char_iface_ops
 };
 
 /** Process the read request from the remote client.
- * 
- * Receive the read request's parameters from the remote client and pass them to the local interface.
- * Return the result of the operation processed by the local interface to the remote client.
- * 
- * @param dev the device from which the data are read.
- * @param iface the local interface structure. 
+ *
+ * Receive the read request's parameters from the remote client and pass them
+ * to the local interface. Return the result of the operation processed by the
+ * local interface to the remote client.
+ *
+ * @param dev		The device from which the data are read.
+ * @param iface		The local interface structure.
  */
-static void remote_char_read(device_t *dev, void *iface, ipc_callid_t callid, ipc_call_t *call)
+static void
+remote_char_read(device_t *dev, void *iface, ipc_callid_t callid,
+    ipc_call_t *call)
 {	
-	char_iface_t *char_iface = (char_iface_t *)iface;
+	char_iface_t *char_iface = (char_iface_t *) iface;
 	ipc_callid_t cid;
 	
 	size_t len;
 	if (!async_data_read_receive(&cid, &len)) {
-		// TODO handle protocol error
+		/* TODO handle protocol error. */
 		ipc_answer_0(callid, EINVAL);
 		return;
@@ -86,12 +91,12 @@
 	}
 	
-	if (len > MAX_CHAR_RW_COUNT) {
+	if (len > MAX_CHAR_RW_COUNT)
 		len = MAX_CHAR_RW_COUNT;
-	}
 	
 	char buf[MAX_CHAR_RW_COUNT];
 	int ret = (*char_iface->read)(dev, buf, len);
 	
-	if (ret < 0) { // some error occured
+	if (ret < 0) {
+		/* Some error occured. */
 		async_data_read_finalize(cid, buf, 0);
 		ipc_answer_0(callid, ret);
@@ -99,28 +104,31 @@
 	}
 	
-	// the operation was successful, return the number of data read
+	/* The operation was successful, return the number of data read. */
 	async_data_read_finalize(cid, buf, ret);
-	ipc_answer_1(callid, EOK, ret);	
+	ipc_answer_1(callid, EOK, ret);
 }
 
 /** Process the write request from the remote client.
- * 
- * Receive the write request's parameters from the remote client and pass them to the local interface.
- * Return the result of the operation processed by the local interface to the remote client.
- * 
- * @param dev the device to which the data are written.
- * @param iface the local interface structure. 
+ *
+ * Receive the write request's parameters from the remote client and pass them
+ * to the local interface. Return the result of the operation processed by the
+ * local interface to the remote client.
+ *
+ * @param dev		The device to which the data are written.
+ * @param iface		The local interface structure.
  */
-static void remote_char_write(device_t *dev, void *iface, ipc_callid_t callid, ipc_call_t *call)
+static void
+remote_char_write(device_t *dev, void *iface, ipc_callid_t callid,
+    ipc_call_t *call)
 {
-	char_iface_t *char_iface = (char_iface_t *)iface;
+	char_iface_t *char_iface = (char_iface_t *) iface;
 	ipc_callid_t cid;
 	size_t len;
 	
 	if (!async_data_write_receive(&cid, &len)) {
-		// TODO handle protocol error
+		/* TODO handle protocol error. */
 		ipc_answer_0(callid, EINVAL);
 		return;
-    }
+	}
 	
 	if (!char_iface->write) {
@@ -130,7 +138,6 @@
 	}	
 	
-	if (len > MAX_CHAR_RW_COUNT) {
+	if (len > MAX_CHAR_RW_COUNT)
 		len = MAX_CHAR_RW_COUNT;
-	}
 	
 	char buf[MAX_CHAR_RW_COUNT];
@@ -139,13 +146,17 @@
 	
 	int ret = (*char_iface->write)(dev, buf, len);
-	if (ret < 0) { // some error occured
+	if (ret < 0) {
+		/* Some error occured. */
 		ipc_answer_0(callid, ret);
 	} else {
-		// the operation was successful, return the number of data written
+		/*
+		 * The operation was successful, return the number of data
+		 * written.
+		 */
 		ipc_answer_1(callid, EOK, ret);
 	}
 }
 
- /**
+/**
  * @}
  */
